BMA EHR API Document

Loading...
Searching...
No Matches
Public Member Functions | List of all members
BMA.EHR.Application.Repositories.MessageQueue.NotificationRepository Class Reference
Inheritance diagram for BMA.EHR.Application.Repositories.MessageQueue.NotificationRepository:

## Public Member Functions
| NotificationRepository (IApplicationDBContext dbContext, EmailSenderService emailSenderService, IHttpContextAccessor httpContextAccessor)
async Task< List< NotificationResponse > > | GetMyNotificationAsync ()
async Task | DeleteMyNotificationAsync (Guid id)
async Task | PushNotificationAsync (Guid ReceiverUserId, string Subject, string Body, string Payload="", bool IsSendInbox=false, bool IsSendMail=false)
Public Member Functions inherited from BMA.EHR.Application.Repositories.GenericRepository< Guid, Notification >
| GenericRepository (IApplicationDBContext dbContext, IHttpContextAccessor httpContextAccessor)
async Task< Guid > | GetProfileOrganizationAsync (string citizenId)
async Task< bool > | CheckIsActiveOfficerAsync (string citizenId)
virtual async Task< IReadOnlyList< T > > | GetAllAsync ()
virtual async Task< T?> | GetByIdAsync (S id)
virtual async Task< T > | AddAsync (T entity)
virtual async Task< T > | UpdateAsync (T entity)
virtual async Task | DeleteAsync (T entity)

## Additional Inherited Members
Properties inherited from BMA.EHR.Application.Repositories.GenericRepository< Guid, Notification >
string? | UserId`[get]`
string? | FullName`[get]`
bool? | IsPlacementAdmin`[get]`

## Constructor & Destructor Documentation

## ◆ NotificationRepository()

BMA.EHR.Application.Repositories.MessageQueue.NotificationRepository.NotificationRepository | ( | IApplicationDBContext | dbContext,
|  | EmailSenderService | emailSenderService,
|  | IHttpContextAccessor | httpContextAccessor
| ) |  |
| inline

## Member Function Documentation

## ◆ DeleteMyNotificationAsync()

async Task BMA.EHR.Application.Repositories.MessageQueue.NotificationRepository.DeleteMyNotificationAsync | ( | Guid | id | ) |
| inline

## ◆ GetMyNotificationAsync()

async Task< List< NotificationResponse > > BMA.EHR.Application.Repositories.MessageQueue.NotificationRepository.GetMyNotificationAsync | ( |  | ) |
| inline

## ◆ PushNotificationAsync()

async Task BMA.EHR.Application.Repositories.MessageQueue.NotificationRepository.PushNotificationAsync | ( | Guid | ReceiverUserId,
|  | string | Subject,
|  | string | Body,
|  | string | Payload = `""`,
|  | bool | IsSendInbox = `false`,
|  | bool | IsSendMail = `false`
| ) |  |
| inline

The documentation for this class was generated from the following file:

- BMA.EHR.Application/Repositories/MessageQueue/NotificationRepository.cs